# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=iproute2
pkgver=5.18.0
pkgrel=1
pkgdesc="IP Routing Utilities"
arch=('x86_64')
url="https://git.kernel.org/pub/scm/network/iproute2/iproute2.git"
license=('GPL2')
groups=('base')
depends=('bash' 'coreutils' 'glibc' 'libcap' 'libelf' 'zlib')
makedepends=('bison' 'flex' 'gcc' 'make' 'linux-api-headers')
source=(https://www.kernel.org/pub/linux/utils/net/${pkgname}/${pkgname}-${pkgver}.tar.xz)
sha256sums=(5ba3d464d51c8c283550d507ffac3d10f7aec587b7c66b0ccb6950643646389e)

prepare() {
    cd ${pkgname}-${pkgver}

    sed -i /ARPD/d Makefile
    rm -fv man/man8/arpd.8
}

build() {
    cd ${pkgname}-${pkgver}

    make NETNS_RUN_DIR=/run/netns
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} LIBDIR=/usr/lib64 SBINDIR=/usr/sbin install
}
